Search found 339 matches

by jbeuken
Fri May 15, 2020 5:34 pm
Forum: Configuration
Topic: error while executing make for abinit-9.0.2
Replies: 3
Views: 442

Re: error while executing make for abinit-9.0.2

--with-linalg-incs=" -I/home/ycyer/Opt/abinit-9.0.2/fallbacks/install/gnu/8.3/linalg/abinit_6.10//include" \ --with-linalg-libs="-L/home/ycyer/Opt/abinit-9.0.2/fallbacks/install/gnu/8.3/linalg/abinit_6.10//lib " \ it can obviously never work! the library "linalg" ( lapack, openblas, atlas, mkl ) mu...
by jbeuken
Mon May 04, 2020 10:06 pm
Forum: Configuration
Topic: error while executing make for abinit-9.0.2
Replies: 3
Views: 442

Re: error while executing make for abinit-9.0.2

Hi,

Code: Select all

LINALG flavor : none (libs: ignored)
no linalg : strange...

can you send me the ouput of :

Code: Select all

cat fallbacks/build-abinit-fallbacks.sh
A+
by jbeuken
Wed Apr 22, 2020 12:53 pm
Forum: Platform specific questions
Topic: configure: error: MPI support is broken in CentOS 5.10 [SOLVED]
Replies: 6
Views: 465

Re: configure: error: MPI support is broken in CentOS 5.10 [SOLVED]

can you try the first test with this ac file FC=mpiifort CC=mpiicc CXX=mpiicpc enable_mpi="yes" enable_mpi_io="yes" with_linalg_flavor="mkl" with_linalg_libs="-L${MKLROOT}/lib/intel64 -lmkl_intel_lp64 -lmkl_core -lmkl_sequential -lpthread -lm -ldl" with_fft_flavor="dfti" with_fft_libs="-L${MKLROOT}/...
by jbeuken
Tue Apr 14, 2020 12:24 pm
Forum: Platform specific questions
Topic: configure: error: MPI support is broken in CentOS 5.10 [SOLVED]
Replies: 6
Views: 465

Re: configure: error: MPI support is broken in CentOS 5.10 [SOLVED]

ok with intel 15... :
which kind of intel package ?
- Parallel Studio XE Professional Edition ?
- Parallel Studio XE Cluster Edition for Linux ( include MPI stack ) ?
which version of MPI ? ( MPICH 3 / OpenMPI ) ?

can you show me the content of your ac file ?

jmb
by jbeuken
Mon Apr 13, 2020 9:02 pm
Forum: Platform specific questions
Topic: configure: error: MPI support is broken in CentOS 5.10 [SOLVED]
Replies: 6
Views: 465

Re: configure: error: MPI support is broken in CentOS 5.10 [SOLVED]

Hi,

Centos 5.10 is too old...

What is the version of your compiler ( GNU I suppose ) ?

GNU gfortran < 5.3 is no more supported

regards

jmb
by jbeuken
Tue Mar 03, 2020 5:15 pm
Forum: Testing and Documentation
Topic: An error occurred while running abinit without root privilege.
Replies: 2
Views: 594

Re: An error occurred while running abinit without root privilege.

Hi,

Is it repeatable?

Which MPI package ( MPICH, OpenMPI ) did you use and which version?

Which compiler ?

jmb
by jbeuken
Tue Feb 18, 2020 9:23 pm
Forum: Input file
Topic: MIXing coefficients for ALCHemical potentials [SOLVED]
Replies: 8
Views: 512

Re: MIXing coefficients for ALCHemical potentials [SOLVED]

Found the token NPSPALCH in the input file. This name is not one of the registered input variable names (see https://www.abinit.org/doc). Action: check your input file. You likely mistyped the input variable. for abinit version less that 8.10.x, go in this page : https://www.abinit.org/packages and...
by jbeuken
Mon Feb 03, 2020 12:18 pm
Forum: Configuration
Topic: Abinit 8.10.3 compiled with gnu 9.1: DFT calculation crash [SOLVED]
Replies: 8
Views: 1013

Re: Abinit 8.10.3 compiled with gnu 9.1: DFT calculation crash [SOLVED]

Hi Davide,
I've compiled the branch release-8-10 of gitlab.
the compilation is succesfull, however when I try to run the code it crashes with the message
little question : abinit crahes with "abinit -b" and/or with fast tests suite ?
by jbeuken
Wed Jan 29, 2020 3:33 pm
Forum: Configuration
Topic: Abinit for windows 10 64bits
Replies: 3
Views: 535

Re: Abinit for windows 10 64bits

Hi,

no package available for now

see this topic here
by jbeuken
Sat Dec 14, 2019 11:07 pm
Forum: Configuration
Topic: Error in compiling 8.10.3 (m_polynomial_coeff) [SOLVED]
Replies: 7
Views: 1038

Re: Error in compiling 8.10.3 (m_polynomial_coeff) [SOLVED]

Hi Oleg, Version 8.10.3 has not been tested with gnu gfortran 9.2.0 on our testfarm. I just tested it: it's OK .... But, on a ubuntu 18.04 with the gfortran version 9.2.1 of ubuntu, the compilation fails as you observed... With the same configuration, a development version 8.11.13 of ABINIT passes t...
by jbeuken
Mon Nov 25, 2019 10:16 am
Forum: Platform specific questions
Topic: Internal compiler error of Abinit-8.10.1 in CentOS 6.9
Replies: 4
Views: 486

Re: Internal compiler error of Abinit-8.10.1 in CentOS 6.9

Hi, Sorry, I made a typo in the command ( only one dash ! ) mpif90 -show can you retry ? In your marge.in file, there is : with_mpi_prefix="/data2/arindam/VASP/openmpi-4.0.2" Then, the output of the "mpif90 -show" command should be something like > mpif90 -show gfortran -I/data2/arindam/VASP/openmpi...
by jbeuken
Fri Nov 22, 2019 10:53 am
Forum: Platform specific questions
Topic: Error readind /proc/ file with abinit 8.10.3
Replies: 1
Views: 307

Re: Error readind /proc/ file with abinit 8.10.3

NFS and/or Network problems :?:

my 5¢

jmb
by jbeuken
Fri Nov 22, 2019 10:50 am
Forum: Platform specific questions
Topic: ABINIT 8.10.3 with GPU, MKL and MAGMA - segmentation fault
Replies: 1
Views: 344

Re: ABINIT 8.10.3 with GPU, MKL and MAGMA - segmentation fault

Hi, this is the ac file used in our testfarm : FC_LDFLAGS_EXTRA="-Wl,-z,muldefs" FC_LIBS="-lstdc++ -ldl" enable_mpi="yes" enable_mpi_io="yes" with_mpi_prefix="${MPIHOME}" enable_gpu="yes" with_gpu_flavor="cuda-double" NVCC_CFLAGS="-O3 -gencode arch=compute_70,code=sm_70 -gencode arch=compute_30,code...
by jbeuken
Fri Nov 15, 2019 2:33 pm
Forum: Configuration
Topic: abinit8.10.3 tests [v8][t57] failed
Replies: 5
Views: 660

Re: abinit8.10.3 tests [v8][t57] failed

Dear Ziye,

I think that "--enable-netcdf" is not a known option

try to use :

Code: Select all

--with-trio-flavor="netcdf"


at the end of configure output, you must see in the "Final Remarks" :

Code: Select all

* TRIO   flavor = netcdf


A+

jmb
by jbeuken
Fri Nov 15, 2019 10:41 am
Forum: Configuration
Topic: Missing support for LibXc error at runtime [SOLVED]
Replies: 2
Views: 386

Re: Missing support for LibXc error at runtime [SOLVED]

hi,

add

Code: Select all

--with-dft-flavor=libxc


you must see at the end of configure :

Code: Select all

 * DFT    flavor = libxc
by jbeuken
Thu May 16, 2019 7:13 pm
Forum: Configuration
Topic: [Linux+GPU]abinit8.10.2 make fails with error
Replies: 3
Views: 714

Re: [Linux+GPU]abinit8.10.2 make fails with error

Do you mean that abinit-8.10.2 does not support GPU/CUDA version currently?


exactly ! it's a regression... :roll:

jmb
by jbeuken
Wed Apr 10, 2019 10:05 pm
Forum: Configuration
Topic: lapack-abinit_6.10.tar.gz cannot be downloaded
Replies: 1
Views: 484

Re: lapack-abinit_6.10.tar.gz cannot be downloaded

sorry !

fixed... I hope...

regards
jmb
by jbeuken
Fri Mar 08, 2019 11:07 am
Forum: Configuration
Topic: Compiling with MPI and Intel 19.0 [SOLVED]
Replies: 15
Views: 3253

Re: Compiling with MPI and Intel 19.0 [SOLVED]

Hi, quickly: I don't reproduce the behavior you observe [root@yquem fast_t01]# mpiifort -V Intel(R) Fortran Intel(R) 64 Compiler for applications running on Intel(R) 64, Version 17.0.4.196 Build 20170411 Copyright (C) 1985-2017 Intel Corporation. All rights reserved. FOR NON-COMMERCIAL USE ONLY ../....
by jbeuken
Fri Feb 22, 2019 9:28 pm
Forum: Configuration
Topic: Configuring Abinit 8.10 with NetCDF as default [SOLVED]
Replies: 6
Views: 1876

Re: Configuring Abinit 8.10 with NetCDF as default [SOLVED]

Hi, Is there anyway to simply tell the program to not write the NetCDF files in parallel? simple answer : no some more details... libpnetcdf-dev : not usable because it's another paradigm ubuntu packages : libnetcdf-dev + libnetcdff-dev + libhdf5-openmpi-dev + libhdf5-mpi-dev : don't work ubuntu did...
by jbeuken
Tue Feb 19, 2019 10:41 pm
Forum: Configuration
Topic: Undefined reference error when compiling ABINIT 8.10.2 [SOLVED]
Replies: 5
Views: 1180

Re: Undefined reference error when compiling ABINIT 8.10.2 [SOLVED]

Tom, I made a patch for the next release ( 8.10.3 ) the problem affects not only anaddb, but 11 other binaries here is a "simple" workaround made for anaddb but you must repeat these steps for all other binaries : 1) in src/98_main, edit the Makefile 2) search : anaddb_LDADD 3) after "...
by jbeuken
Tue Feb 19, 2019 8:33 pm
Forum: Configuration
Topic: Configuring Abinit 8.10 with NetCDF as default [SOLVED]
Replies: 6
Views: 1876

Re: Configuring Abinit 8.10 with NetCDF as default [SOLVED]

I'm just found that there is a parallel netcdf lib ( libpnetcdf-dev ) : to try...

jmb
by jbeuken
Tue Feb 19, 2019 3:18 pm
Forum: Configuration
Topic: Configuring Abinit 8.10 with NetCDF as default [SOLVED]
Replies: 6
Views: 1876

Re: Configuring Abinit 8.10 with NetCDF as default [SOLVED]

Hi, it seems that the "enable_netcdf_default" option involves netcdf-4 with a parallel hdf5 the netcdf package of ubuntu does not seem to support this configuration below the ac file which contains the 4 configurations I tested: 1) netcdf of ubuntu 2) compilation of netcdf-4.6 + netcdf-for...
by jbeuken
Tue Feb 19, 2019 3:00 pm
Forum: Configuration
Topic: Undefined reference error when compiling ABINIT 8.10.2 [SOLVED]
Replies: 5
Views: 1180

Re: Undefined reference error when compiling ABINIT 8.10.2 [SOLVED]

Hi,

it's a bug...

I reproduced the problem with abinit 8.11.5 under ubuntu 18.10.2 with packages gnu 7.3 / libgsl-dev